View Issue Details

IDProjectCategoryView StatusLast Update
0013445LazarusIDEpublic2010-05-10 13:10
Reporternicola gorlandiAssigned ToPaul Ishenin 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0013445: Tframe and inherited of form
DescriptionSome problems in the IDE. If you inherited a form (form1) with a Frame (Tframe1 with a TDBGRID and a Panel in a new form (form2) the execution of the form2 goes on crash (Duplicate Name, a component named Tframe1 already exist) .

It seems wrong how the .LFM is created. If inside the .LFM I remove the rows about TFrame all goes fine.

Another issue, If in the form1 I put a TNotebook control and in Form2 add a page before the last page, if I reopen the form the new tab become the last tab.

TagsNo tags attached.
Fixed in Revision
LazTarget1.0
Widgetset
Attached Files

Relationships

has duplicate 0013676 closedPaul Ishenin Problem with visual form inheritance for form contains frame. 

Activities

Mattias Gaertner

2009-04-01 16:16

manager   ~0026505

Please attach a complete example (only sources, no ppu, no executable).

2009-04-03 10:33

 

test.zip (987,458 bytes)

nicola gorlandi

2009-04-03 10:34

reporter   ~0026573

Try to open the Tform3 and you receive the error...

nicola gorlandi

2009-04-14 17:54

reporter   ~0026767

Have you seen the zip ?

nicola gorlandi

2010-01-29 23:05

reporter   ~0034051

I think that this issue is been fixed, I donwloaded the dailysnapshot of lazarus 0.9.29 F.P.C. 2.4.0 and eveything works fine but this part of the issue:

If in the form1 I put a TNotebook control and in Form2 add a page before the last page, if I reopen the form the new tab become the last tab.

Paul Ishenin

2010-05-10 06:11

manager   ~0037408

Yes, issue if fixed in 0.9.29. Please close if ok.

Regards notebook - it is another issue. Only 1 problem per issue is allowed. Please open another bug report.

Issue History

Date Modified Username Field Change
2009-04-01 13:02 nicola gorlandi New Issue
2009-04-01 16:16 Mattias Gaertner LazTarget => -
2009-04-01 16:16 Mattias Gaertner Note Added: 0026505
2009-04-01 16:16 Mattias Gaertner Status new => feedback
2009-04-03 10:33 nicola gorlandi File Added: test.zip
2009-04-03 10:34 nicola gorlandi Note Added: 0026573
2009-04-14 17:54 nicola gorlandi Note Added: 0026767
2009-05-08 09:30 Vincent Snijders Relationship added has duplicate 0013676
2009-05-08 09:30 Vincent Snijders LazTarget - => 1.0
2009-05-08 09:30 Vincent Snijders Status feedback => acknowledged
2009-05-08 09:30 Vincent Snijders Target Version => 1.0.0
2010-01-29 23:05 nicola gorlandi Note Added: 0034051
2010-05-10 06:11 Paul Ishenin Status acknowledged => resolved
2010-05-10 06:11 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-10 06:11 Paul Ishenin Resolution open => fixed
2010-05-10 06:11 Paul Ishenin Assigned To => Paul Ishenin
2010-05-10 06:11 Paul Ishenin Note Added: 0037408
2010-05-10 13:10 nicola gorlandi Status resolved => closed